Bug 14888 - installer comes up in text mode
installer comes up in text mode
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-31 11:32 EDT by Nemeth, Laszlo
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-26 15:22:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nemeth, Laszlo 2000-07-31 11:32:52 EDT
Installer starts up in text mode instead graphical. There is a possibly
related line on VT3 that says: "found video card controller unknown".
Configuration is a 5x86/160 with a generic S3 Trio64V2 card and a 2 button
ms comp. serial mouse.
Comment 1 Nemeth, Laszlo 2000-07-31 11:47:07 EDT
the textmode installer detects the card correctly in a later step (after the
dependencies check)
Comment 2 Nemeth, Laszlo 2000-08-17 08:37:48 EDT
the same thing happens on RC1
Comment 3 Matt Wilson 2000-08-17 08:57:49 EDT
run "lspci; lspci -n" and send the output, please.
Comment 4 Nemeth, Laszlo 2000-08-17 10:38:24 EDT
[root@kobuki /root]# lspci; lspci -n
00:05.0 Host bridge: Silicon Integrated Systems [SiS] 85C496 (rev 31)
00:0a.0 VGA compatible controller: S3 Inc. Trio 64V2/DX or /GX (rev 16)
00:05.0 Class 0600: 1039:0496 (rev 31)
00:0a.0 Class 0300: 5333:8901 (rev 16)
Comment 5 Matt Wilson 2000-08-17 10:44:46 EDT
How much system ram?
Comment 6 Matt Wilson 2000-08-17 10:50:23 EDT
can you also run:

python -c "import kudzu; print kudzu.probe(kudzu.CLASS_MOUSE, kudzu.BUS_UNSPEC,
kudzu.PROBE_ONE)"

as root?
Comment 7 Nemeth, Laszlo 2000-08-17 11:07:06 EDT
32M system RAM - as I recall it worked in graphical mode in betas previous to
pinstripe

ran the command a command a few times, the results are interesting, mouse was
detected only once out of all tries when I didn't move the mouse. When the mouse
was moved during the detection, it either got detected, or the command
segfaulted.

[root@kobuki /root]# python -c "import kudzu; print
kudzu.probe(kudzu.CLASS_MOUSE, kudzu.BUS_UNSPEC, kudzu.PROBE_ONE)"
[]
[root@kobuki /root]# python -c "import kudzu; print
kudzu.probe(kudzu.CLASS_MOUSE, kudzu.BUS_UNSPEC, kudzu.PROBE_ONE)"
[('ttyS0', 'generic', 'Generic Serial Mouse')]
[root@kobuki /root]# python -c "import kudzu; print
kudzu.probe(kudzu.CLASS_MOUSE, kudzu.BUS_UNSPEC, kudzu.PROBE_ONE)"
[]
[root@kobuki /root]# python -c "import kudzu; print
kudzu.probe(kudzu.CLASS_MOUSE, kudzu.BUS_UNSPEC, kudzu.PROBE_ONE)"
Segmentation fault (core dumped)
Comment 8 Matt Wilson 2000-08-17 11:49:00 EDT
Does the "your mouse was not detected" screen come up?  Is this the text mode
screen you saw?
Comment 9 Bill Nottingham 2000-08-17 11:52:52 EDT
When you were running this, you weren't running this
from X, and gpm wasn't running, correct?
Comment 10 Nemeth, Laszlo 2000-08-17 12:16:19 EDT
OK, I forgot about gpm running, sorry. The python command now detects the mouse
correctly every time, except when I move the mouse while the command runs. In
that case it either segfaulted (once out of from like 10 tries), or just didn't
detect anything.
Comment 11 Michael Fulbright 2000-08-17 12:49:26 EDT
If you boot into the installer and dont move the mouse around, does it detect
the mouse and install in GUI mode?
Comment 12 Nemeth, Laszlo 2000-08-17 15:40:37 EDT
No, install never-ever goes to GUI mode. I just moved the mouse accidentally
while running the previous command, when it segfaulted.

The 'mouse was not detected' text doesn't appear during the (text mode) install;
the video card is correctly detected during the install, and X is correctly set
up for the running system. During install, if I switch to VT3, there is a 'found
video card controller unknown' line. Is that not related somehow to the problem?
Comment 13 Michael Fulbright 2000-11-17 15:06:42 EST
Passed to QA to reproduce.
Comment 14 Michael Fulbright 2001-02-15 11:45:10 EST
Have later betas corrected this problem?
Comment 15 Nemeth, Laszlo 2001-02-26 15:22:55 EST
No, same problem as before, but it only seems to happen on this particular
machine. Possibly hardware bug?

Note You need to log in before you can comment on or make changes to this bug.